﻿$(function() {

  // ボタンのテキストを変更する場合はコチラ↓↓↓を修正してください
  let y = 'Yes';
  let n = 'No';


  // 診断テストページで、部品を色々追加
  let num_bar;
  let num_barNum = ["0%"];
  let q_list = $(".questions li");
  load();
  $(window).on("load resize", function() {load();});
  $(".questions li:not(:first-child)").css({display: "none"});
  $(".questions li").addClass("opas");
  $("input[name=btn1]").val(y);
  $("input[name=btn2]").val(n);
  // プログレスバーを追加
  if($(".questions").length){ $('body').prepend('<div class="progress-bar"><span></span></div>'); }
  // 各質問を成型
  q_list.each(function(i) {
    q_list.eq(i).find(".select").addClass("s-" + i);
    num_barNum.push(100 / (q_list.length-1) * (String(i+1)) + "%");
    if(i != q_list.length-1) {
      // 問題の数「Q,1、Q,2、Q,3、Q,4、Q,5....」を追加
      q_list.eq(i).prepend('<p>Q,' + String(i+1) + '</p>');
      // 各問題に[Yes]、[No]ボタンを追加
      q_list.eq(i).append('<div class="select"><p>'+y+'</p><p>'+n+'</p></div>');
    }
    if(i != 0) {
      q_list.eq(i).addClass("right");
      // 2問目以降の「←戻る」ボタンを追加
      q_list.eq(i).append('<div class="back-list">&#x2B05; 戻る</div>');
    }
  });



  // 診断テストページで、「Yes」または「No」を押した時
  let num = 0;
  $(".select p").on("click", function() {
    let btn = $(this);
    let selectNum = $(".questions li:eq("+num+") .select p").index(this) + 1;
    if(selectNum == 1) { $(".question-form input").eq(num).val(y); }
    else if(selectNum == 2) { $(".question-form input").eq(num).val(n); }
    // 次の質問へ進むアニメーション
    $(".progress-bar > span").css({width: num_barNum[num+1]});
    btn.addClass("click");
    setTimeout(function() {
      q_list.eq(num).addClass("left");
      setTimeout(function() {
        q_list.eq(num).hide();
        q_list.eq(num + 1).show();
        btn.removeClass("click");
        setTimeout(function() {
          q_list.eq(num + 1).removeClass("right");
          num++
          console.log(num);
        },40);
      },360);
    },260);
  });



  // 診断テストページで、「←戻る」を押した時
  $(".back-list").on("click", function() {
    // 前の質問へ戻るアニメーション
    $(".progress-bar > span").css({width: num_barNum[num-1]});
    q_list.eq(num).addClass("right");
    setTimeout(function() {
      q_list.eq(num).hide();
      num = num-1;
      q_list.eq(num).show();
      setTimeout(function() {
        q_list.eq(num).removeClass("left");
      },40);
    },360);
  });



  // 「結果を表示する」ボタンを押した時
  $(".questions .send p").on("click", function() {
    $(".question-form").submit();
  });


});


function load() {
  // 初回読み込み時と読み込み完了後、ウィンドウサイズの変更の時
  var q_height = [];
  $(".questions li").each(function(i){
    q_height.push(Number($(".questions li").eq(i).css('height').slice(0,-2)) + 54);
  });
  // 質問全体で一番高さの有るコンテンツに合わせて高さ調整
  // 最大数を取得する「Math.max.apply(null,value)」について https://hajimete.org/jquery-get-the-maximum-and-minimum-values
  $(".questions").css({height: Math.max.apply(null,q_height)});
}
